Bug 243101 - security/nss: fix builds for 32-bit powerpc
Summary: security/nss: fix builds for 32-bit powerpc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-05 00:52 UTC by lfmorrison
Modified: 2020-02-12 06:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lfmorrison 2020-01-05 00:52:41 UTC
The port fails to build due to unrecognized compiler command line arguments -mcrypto and -mvsx. I am building on a Mac Mini G4 running FreeBSD 12.1-RELEASE and a freshly updated ports tree as of January 4, 2020 at 20:00 AST.

The failure is probably related to the same root cause as (a portion of) bug 242521. In that case, the solution was to switch from base cc to GCC9. However, the change was only applied for powerpc64; the same compiler complaints also apply to 32-bit powerpc.

Repeating the build with USE_GCC=9 yields a successful result.

I suggest that the port should be updated to automatically choose gcc9 instead of base gcc4.2 for the 32-bit powerpc architecture as well.
Comment 1 canardo 2020-02-06 11:30:53 UTC
Same problem on Powerbook G4 powerpc 32 bits

Error is

cc1: error: unrecognized command line option "-mcrypto"
cc1: error: unrecognized command line option "-mvsx"
gmake[4]: *** [../../coreconf/rules.mk:393: FreeBSD12.1_OPT.OBJ/FreeBSD_SINGLE_SHLIB/gcm.o] Error 1
gmake[4]: Leaving directory '/usr/ports/security/nss/work/nss-3.49.2/nss/lib/freebl'
gmake[3]: *** [Makefile:655: libs] Error 2
gmake[3]: Leaving directory '/usr/ports/security/nss/work/nss-3.49.2/nss/lib/freebl'
gmake[2]: *** [../coreconf/rules.mk:101: libs] Error 2
gmake[2]: Leaving directory '/usr/ports/security/nss/work/nss-3.49.2/nss/lib'
gmake[1]: *** [coreconf/rules.mk:101: libs] Error 2
gmake[1]: Leaving directory '/usr/ports/security/nss/work/nss-3.49.2/nss'
*** Error code 1



And same successfull workaround : when building port with USE_GCC=9, no error anymore
Comment 2 Jan Beich freebsd_committer 2020-02-10 23:56:05 UTC
Should be fixed by ports r525766.
Comment 3 canardo 2020-02-12 06:24:00 UTC
(In reply to Jan Beich from comment #2)

Indeed, version 3.50 now built successfully